extends Button


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


func _on_Mult_Test_pressed():
	var a = SummerDayMatrix4.new( [
		-0.7071, 0.7071, 0.0, 0.0,
		-0.7071, 0.7071, 0.0, 0.0,
		0.0, 0.0, 1.0, 0.0,
		0.0, 0.0, 0.0, 1.0,
	] )
	
	var b = SummerDayMatrix4.new( [
		-0.7071, 0.7071, 0.0, 0.0,
		-0.7071, 0.7071, 0.0, 0.0,
		0.0, 0.0, 1.0, 0.0,
		0.0, 0.0, 0.0, 1.0,
	] )
	
	var c = SummerDayMatrix4.mult(
		a, b
	)
	
	c.print()
